# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-03-24 02:59
from __future__ import unicode_literals

from django.db import connection, migrations


def forwards(apps, schema_editor):
    about_us_page = apps.get_model('about_us', 'aboutuspage')
    # Assert page model exists
    apps.get_model('wagtailcore', 'page')
    for page in about_us_page.objects.all():
        with connection.cursor() as cursor:
            cursor.execute((
                "UPDATE wagtailcore_page SET ",
                "title_en = %s, ",
                "title_fr = %s, ",
                "seo_title_en = %s, ",
                "seo_title_fr = %s, ",
                "url_path_en = %s, ",
                "url_path_fr = %s, ",
                "slug_en = %s, ",
                "slug_fr = %s, ",
                "search_description_en = %s, ",
                "search_description_fr = %s ",
                "WHERE id = %s"), [
                page.title_en,
                page.title_fr,
                page.seo_title_en,
                page.seo_title_fr,
                page.url_path_en,
                page.url_path_fr,
                page.slug_en,
                page.slug_fr,
                page.search_description_en,
                page.search_description_fr,
                page.page_ptr_id,
            ])


class Migration(migrations.Migration):
    dependencies = [
        ('about_us', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(forwards),
    ]
